Package org.apache.tools.ant.types.selectors.modifiedselector

# Interface Algorithm

All Known Implementing Classes:
  `ChecksumAlgorithm`, `DigestAlgorithm`, `HashvalueAlgorithm`, `LastModifiedAlgorithm`

public interface Algorithm
The Algorithm defines how a value for a file is computed. It must be sure that multiple calls for the same file results in the same value. The implementing class should implement a useful toString() method.

Since:
  Ant 1.6
Version:
  2003-09-13

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue(File file)`
  Get the value for a file.
  `boolean`
  `isValid()`
  Checks its prerequisites.

- ## Method Details

  - ### isValid

    boolean isValid()
    Checks its prerequisites.
    Returns:
      true if all is ok, otherwise false.

  - ### getValue

    String getValue(File file)
    Get the value for a file.
    Parameters:
      `file` - File object for which the value should be evaluated.
    Returns:
      The value for that file